<bugID>830205<Summary>Download button shows progress remaining after download finishes</Summary><Description>Setting browser.download.panel.removeFinishedDownloads = true breaks the download button in various ways:

* The finished notification animation isn't displayed
* The button continues to should some amount of time/progress left even through the download has finished.

I'm not sure when this started happening, but it should probably be fixed for Firefox 20 if it is going to be enabled by default.


STR
1. Set browser.download.panel.removeFinishedDownloads = true
2. Download a file

Expected results:
When the download finishes, the button turns green and the notification animation is displayed.

Actual results:
When the download finishes, the button continues to display some time remaining and/or the progress bar. Clicking the button resets it to the default appearance.</Description></bugID>